package uibk.applets.biegelinie;

import javax.swing.BoxLayout;

import uibk.mtk.lang.Messages;
import uibk.mtk.swing.appletbase.PanelLoadExample;
import uibk.mtk.swing.base.MPanel;
import uibk.applets.biegelinie.PanelDef;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Panel zum Steuern des Applets
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2006
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
class PanelCommand extends MPanel implements ActionListener {

	private AppletBiegelinie main;

	public PanelCommand(AppletBiegelinie main) {

		this.main = main;
		initComponents();

	}

	/**
	 * Initialisieren der Komponenten: Der Panel zum Steuern des Applets besteht
	 * aus zwei Reitern. Der erste zum Definieren und Zeichnen der Kurve und den
	 * Elementen zum Steuern des Zweibeins. Der zweite Reiter enth?lt die Panels
	 * zum Skalieren.
	 */
	void initComponents() {

		// Layout
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

		// Panel zum Skalieren, zum Definieren der Kurve und zum Steuern
		// des Zweibeins erzeugen
		main.paneldef = new PanelDef(main);
		add(createPanelLoadExamples(2));
		add(createPanelLoadExamples(1));
		add(main.paneldef);
	}

	/** Erzeugt den Panel zum Laden der Beispiele */
	MPanel createPanelLoadExamples(int i) {
		final int LAGER = i;
		String[] options = {
				Messages.getString(AppletBiegelinie.BUNDLE_NAME,
						"PanelCommand.4"), Messages.getString(AppletBiegelinie.BUNDLE_NAME, "PanelCommand.5"), //$NON-NLS-1$ //$NON-NLS-2$
				Messages.getString(AppletBiegelinie.BUNDLE_NAME,
						"PanelCommand.6"), Messages.getString(AppletBiegelinie.BUNDLE_NAME, "PanelCommand.7") }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
		// LoadAction die beim Auswhlen eines Elementes der Auswahlbox
		// ausgefhrt wird hinzufgen
		PanelLoadExample.LoadAction action = new PanelLoadExample.LoadAction() {

			public void execute(String item) {
				main.lager=LAGER==2?2:1;
				main.q = 1;
				main.length = 100;
				main.high = 50;
				main.power.drawbalken(LAGER);
				main.paneldef.length.setValue(100);
				main.graph[0].clearpoints();
				main.power.power[1].setVisible(false);
				for (int j = 0; j < 5; j++)
				main.graph[j].setVisible(true);
				main.power.deletepower();
				if (main.lager==1) 
					main.power.power[2].setVisible(false);
				else
					main.power.power[2].setVisible(true);
				if (item.equals(Messages.getString(
						AppletBiegelinie.BUNDLE_NAME, "PanelCommand.4"))) {
					main.art = 1;
					main.power.draw1(main.length / 2, main.high);
					main.power.power[1].setVisible(true);
					main.graph[0].setVisible(false);
				}
				if (item.equals(Messages.getString(
						AppletBiegelinie.BUNDLE_NAME, "PanelCommand.5"))) {
					main.art = 2;
					if (main.lager==2) {
						main.power.draw2(0, main.length, main.high);
					} else {
						main.power.draw2(main.length,0, main.high);
					}
				}
				if (item.equals(Messages.getString(
						AppletBiegelinie.BUNDLE_NAME, "PanelCommand.6"))) {
					main.art = 3;
					if (main.lager==2) {
						main.power.draw3(0, main.length, main.high);
					} else {
						main.power.draw3(main.length,0, main.high);
					}

				}
				if (item.equals(Messages.getString(
						AppletBiegelinie.BUNDLE_NAME, "PanelCommand.7"))) {
					main.art = 4;
					main.power.draw4(50);
				}
				main.power.compute();
			}
		};
		uibk.mtk.swing.appletbase.PanelLoadExample.LoadAction actions[] = {
				action, action, action, action };
		String Title;
		if (LAGER == 2) {
			Title = Messages.getString(AppletBiegelinie.BUNDLE_NAME,
					"PanelCommand.13");

		} else {
			Title = Messages.getString(AppletBiegelinie.BUNDLE_NAME,
					"PanelCommand.14");
		}
		return new PanelLoadExample(Title, //$NON-NLS-1$
				Messages.getString(AppletBiegelinie.BUNDLE_NAME,
						"PanelCommand.32"), //$NON-NLS-1$
				options, actions);
	}

	/** Ereignisverarbeitung: */
	public void actionPerformed(ActionEvent ev) {

		if (ev.getActionCommand().equals("compute")) { //$NON-NLS-1$
		}
	}

}
