package uibk.applets.biegelinie;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JSlider;
import javax.swing.border.TitledBorder;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import uibk.mtk.lang.Messages;
import uibk.mtk.swing.base.MPanel;


/**
 * Panel zum Eingeben der Parametrischen Kurven und Plotten der Kurve
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */

public class PanelDef extends MPanel implements ActionListener {

	private final AppletBiegelinie main;

	/** Knopf zum Starten der Berechnung/des Plottens */
	JLabel labellength;
	
	/** Knopf zum Starten der Berechnung/des Plottens */
	JSlider length;

	/** Erzeugt den Panel */
	public PanelDef(AppletBiegelinie main) {

		this.main = main;
		initComponents();

	}

	/** Initialisieren der Komponenten */
	void initComponents() {

		//Rahmen erzeugen
		TitledBorder border = BorderFactory
				.createTitledBorder(""); //$NON-NLS-1$
		
		setBorder(border);

		//Layout setzen
		setLayout(new GridBagLayout());
		setMaximumSize(new Dimension(1100, 600));
		setPreferredSize(new Dimension(2000, 210));
		
		// Label fr die Lnge des Balkens
		int n = 1;
		labellength = new JLabel(Messages.getString(AppletBiegelinie.BUNDLE_NAME,
				"PanelSurface.0")+"" + n/100); //$NON-NLS-1$ //$NON-NLS-2$
		labellength.setFont(labellength.getFont().deriveFont(Font.BOLD));

		// Slider fr die Lnge des Balkens
		length = new JSlider();
		length.addChangeListener(new ChangeListener() {

			public void stateChanged(ChangeEvent evt) {
				// aktuelle Gre im Label labelstep ausgeben
				JSlider slider = (JSlider) evt.getSource();
				int n = slider.getValue();
				main.q=main.length/n;
				main.length=n;
				main.power.draw();
				main.power.compute();
				main.power.drawbalken(main.lager);
				labellength
						.setText(Messages.getString(
								AppletBiegelinie.BUNDLE_NAME, "PanelDef.1") + Double.toString((double) n/100)); //$NON-NLS-1$
			}
		});
		// Wertebereich des Sliders einstellen
		length.setMinimum(100);
		length.setMaximum(150);
		length.setValue(100);
	
		add(labellength, new GridBagConstraints(0, 0, 2, 1, 1.0, 0.0,
				GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(
						10, 5, 10, 5), 0, 0));
		add(length, new GridBagConstraints(0, 1, 2, 1, 1.0, 0.0,
				GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL,
				new Insets(0, 5, 20, 5), 0, 0));
	}

	/** Ereignisverarbeitung: */
	public void actionPerformed(ActionEvent ev) {
	}

}