package uibk.mtk.lang;

import java.awt.event.MouseEvent;

/**
 * Interface das Drawable Objekte implementieren m?ssen, falls Sie mit der Maus
 * verschiebbar sein soll (drag & drop). Ist nur f?r 2D-Objekte implementiert
 * und wird von Mathpanel2d gesteuert.
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public interface Dragable {

	/** Ziehen des Objekts */
	void drag(MouseEvent ev);

	/** Ist die Maus (Koordinaten x,y) ?ber den Drawable */
	boolean dragcontains(int x, int y);

	/** zum (de)aktivieren des drag Funktion */
	void enabledrag(boolean enable);

	/** ist das Ziehen aktiviert */
	boolean isDragEnabled();

}