package uibk.mtk.parser.realparser;

/**
 * Klasse f?r lexikalisch zusammenh?ngenden Einheiten (wie Zahlen,...)
 * 
 * 
 * <p>
 * Diese Klasse ist dem frei verwendbaren Packet <i>expr </i> von Darius Bacon
 * (siehe http://www.accesscom.com/~darius/) entnommen und wurde ge?ndert.
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
class Token {

	/** Typ des Tokens */
	int ttype;

	/** der Stringrepresentation des Tokens */
	String sval;

	/** der Wert des Tokens */
	double nval;

	/** Startindex des Tokens im Eingabestring */
	public int location;

	/** Spezialtoken Fehler */
	static final int TT_ERROR = -1;

	/** Spezialtoken EOF */
	static final int TT_EOF = -2;

	/** Token Zahl */
	static final int TT_NUMBER = -3;

	/** Token Wort */
	static final int TT_WORD = -4;

	/** Spezialtoken <= */
	static final int TT_LE = -5;

	/** Spezialtoken <> */
	static final int TT_NE = -6;

	/** Spezialtoken >= */
	static final int TT_GE = -7;

	/** Spezialtoken Wort ! */

	/**
	 * Erzeugt einen Token
	 * 
	 * @param ttype
	 *            Typ des Token
	 * @param nval
	 *            Wert des Token
	 * @param input
	 *            Eingabe
	 * @param start
	 *            Startindex des Token im String <CODE>input</CODE>
	 * 
	 * @param end
	 *            Endindex des Token im String <CODE>input</CODE>
	 */
	public Token(int ttype, double nval, String input, int start, int end) {
		this.ttype = ttype;
		this.sval = input.substring(start, end);
		this.nval = nval;
		this.location = start;

	}

	public Token(int ttype, double nval, String sval, int start) {
		this.ttype = ttype;
		this.sval = sval;
		this.nval = nval;
		this.location = start;

	}

}