package uibk.mtk.parser.realparser;

/**
 * Eine reellen Variable ist ein Ausdruck mit einem Namem und einem
 * festsetzbaren <CODE>double</CODE> Wert.
 * 
 * 
 * <p>
 * Diese Klasse ist dem frei verwendbaren Packet <i>expr </i> von Darius Bacon
 * (siehe http://www.accesscom.com/~darius/) entnommen und wurde ge?ndert.
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class Variable extends Expr {

	/** der Name der Variable */
	String name;

	/** der Wert der Variable */
	private double val;

	/**
	 * Erzeugt eine Variable mit dem Wert 0
	 * 
	 * @param name
	 *            der Name der Variable
	 */
	public Variable(String name) {
		this.name = name;
		val = 0;
	}

	/** Return the name. */
	public String toString() {
		return name;
	}

	/**
	 * Gibt den Wert der Variablen zur?ck
	 * 
	 * @return der aktuelle Wert
	 */
	public double value() {
		return val;
	}

	/**
	 * Setzt den Wert der Variablen.
	 * 
	 * @param value
	 *            der neue Wert
	 */
	public void setValue(double value) {
		val = value;
	}

}