package uibk.mtk.swing.base;

import java.awt.event.ActionListener;

import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JButton;

/**
 * Von JButton abgeleitete Klasse die, alle Konstruktoren implementiert und noch
 * einen eigenen.
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2004
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class Button extends JButton {

	/** siehe {@link javax.swing.JButton#JButton()} */
	public Button() {
		super();

	}

	/** siehe {@link javax.swing.JButton#JButton(String)} */
	public Button(String text) {
		super(text);

	}

	/** siehe {@link javax.swing.JButton#JButton(Action)} */
	public Button(Action a) {
		super(a);

	}

	/** siehe {@link javax.swing.JButton#JButton(Icon)} */
	public Button(Icon icon) {
		super(icon);
	}

	/** siehe {@link javax.swing.JButton#JButton(String,Icon)} */
	public Button(String text, Icon icon) {
		super(text, icon);

	}

	/**
	 * Erzeugt einen Button
	 * 
	 * @param label
	 *            Beschriftung
	 * @param actioncommand
	 *            actioncommand f?r das Textfeld
	 * @param listener
	 *            <CODE>ActionListener</CODE> f?r den Button
	 * @param tooltip
	 *            <CODE>Tooltip</CODE>
	 */
	public Button(String label, String actioncommand, ActionListener listener,
			String tooltip) {
		this(label);

		setActionCommand(actioncommand);
		addActionListener(listener);
		setToolTipText(tooltip);

	}

}